YAIRY(3)

SYNOPSIS
SUBROUTINE YAIRY (X, RX, C, BI, DBI)

NAME
yairy - Subsidiary to BESJ and BESY

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (YAIRY-S, DYAIRY-D)

AUTHOR
Amos, D. E., (SNLA) Daniel, S. L., (SNLA)

DESCRIPTION
YAIRY computes the Airy function BI(X) and its derivative DBI(X) for ASYJY INPUT X - Argument, computed by ASYJY, X unrestricted RX - RX=SQRT(ABS(X)), computed by ASYJY C - C=2.*(ABS(X)**1.5)/3., computed by ASYJY OUTPUT BI - Value of function BI(X) DBI - Value of the derivative DBI(X)

SEE ALSO
BESJ, BESY

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
750101 DATE WRITTEN
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)
910408 Updated the AUTHOR section. (WRB)